CREATE DATABASE  IF NOT EXISTS `domotrola` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `domotrola`;
-- MySQL dump 10.13  Distrib 5.5.16, for Win32 (x86)
--
-- Host: localhost    Database: domotrola
-- ------------------------------------------------------
-- Server version	5.5.28

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `accions`
--

DROP TABLE IF EXISTS `accions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `accions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `description` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `accions`
--

LOCK TABLES `accions` WRITE;
/*!40000 ALTER TABLE `accions` DISABLE KEYS */;
INSERT INTO `accions` VALUES (1,'Pujar'),(2,'Baixar'),(3,'Connectar'),(4,'Desconnectar'),(5,'Obrir'),(6,'Tancar'),(11,'Encendre'),(12,'Apagar'),(13,'Parar');
/*!40000 ALTER TABLE `accions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `accionscp`
--

DROP TABLE IF EXISTS `accionscp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `accionscp` (
  `cp` int(11) NOT NULL,
  `accio` int(11) NOT NULL,
  PRIMARY KEY (`cp`,`accio`),
  KEY `cp_idx` (`cp`),
  KEY `accio_idx` (`accio`),
  CONSTRAINT `FK_accionscp_accio` FOREIGN KEY (`accio`) REFERENCES `accions` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_accionscp_cp` FOREIGN KEY (`cp`) REFERENCES `programable` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `accionscp`
--

LOCK TABLES `accionscp` WRITE;
/*!40000 ALTER TABLE `accionscp` DISABLE KEYS */;
INSERT INTO `accionscp` VALUES (1,1),(1,2),(4,3),(4,4),(6,11),(6,12),(7,1),(7,2),(24,11),(24,12),(25,11),(25,12);
/*!40000 ALTER TABLE `accionscp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `accionsplantilla`
--

DROP TABLE IF EXISTS `accionsplantilla`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `accionsplantilla` (
  `plantilla` int(11) NOT NULL,
  `accio` int(11) NOT NULL,
  PRIMARY KEY (`plantilla`,`accio`),
  KEY `plantilla_idx` (`plantilla`),
  KEY `accioPlantilla_idx` (`accio`),
  CONSTRAINT `FK_accionsPlantilla_accio` FOREIGN KEY (`accio`) REFERENCES `accions` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_accionsPlantilla_plantilla` FOREIGN KEY (`plantilla`) REFERENCES `plantilles` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `accionsplantilla`
--

LOCK TABLES `accionsplantilla` WRITE;
/*!40000 ALTER TABLE `accionsplantilla` DISABLE KEYS */;
INSERT INTO `accionsplantilla` VALUES (2,11),(2,12),(3,1),(3,2),(3,13);
/*!40000 ALTER TABLE `accionsplantilla` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cpmacro`
--

DROP TABLE IF EXISTS `cpmacro`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cpmacro` (
  `macro` int(11) NOT NULL,
  `cp` int(11) NOT NULL,
  `accio` int(11) NOT NULL,
  PRIMARY KEY (`macro`,`cp`,`accio`),
  KEY `FK_cpMacro_macro_idx` (`macro`),
  KEY `FK_cpMacro_cp_idx` (`cp`,`accio`),
  CONSTRAINT `FK_cpMacro_accio_cp` FOREIGN KEY (`cp`, `accio`) REFERENCES `accionscp` (`cp`, `accio`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_cpMacro_macro` FOREIGN KEY (`macro`) REFERENCES `programable` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cpmacro`
--

LOCK TABLES `cpmacro` WRITE;
/*!40000 ALTER TABLE `cpmacro` DISABLE KEYS */;
/*!40000 ALTER TABLE `cpmacro` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `plantilles`
--

DROP TABLE IF EXISTS `plantilles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `plantilles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `description` varchar(45) NOT NULL,
  `description2` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `plantilles`
--

LOCK TABLES `plantilles` WRITE;
/*!40000 ALTER TABLE `plantilles` DISABLE KEYS */;
INSERT INTO `plantilles` VALUES (2,'Llum','Interruptor de dues posicions'),(3,'Persiana','Tres posicions');
/*!40000 ALTER TABLE `plantilles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `programa`
--

DROP TABLE IF EXISTS `programa`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `programa` (
  `id` int(11) NOT NULL,
  `estat` int(11) NOT NULL DEFAULT '0',
  `descripcio` varchar(45) NOT NULL DEFAULT 'Descripcio del programa',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `programa`
--

LOCK TABLES `programa` WRITE;
/*!40000 ALTER TABLE `programa` DISABLE KEYS */;
/*!40000 ALTER TABLE `programa` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `programable`
--

DROP TABLE IF EXISTS `programable`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `programable` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `description` varchar(45) NOT NULL,
  `type` varchar(5) NOT NULL,
  `ip` varchar(16) NOT NULL,
  `description2` text,
  PRIMARY KEY (`id`),
  KEY `tipus` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `programable`
--

LOCK TABLES `programable` WRITE;
/*!40000 ALTER TABLE `programable` DISABLE KEYS */;
INSERT INTO `programable` VALUES (1,'Porta garatge','cp','192.168.001.101','Porta automatitzada'),(2,'Dormir','macro','','Apaga totes les llums i conecta la alarma'),(4,'Alarma','cp','192.168.001.102','Alarma volumetrica'),(6,'Llum cuina','cp','192.168.1.103',''),(7,'Persiana dormitori','cp','192.168.1.104',''),(24,'Llum entrada','cp','192.168.xxx.xxx','Interruptor de dues posicions'),(25,'Llum dormitori','cp','192.168.1.6','Interruptor de dues posicions');
/*!40000 ALTER TABLE `programable` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `programacio`
--

DROP TABLE IF EXISTS `programacio`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `programacio` (
  `programa` int(11) NOT NULL,
  `programable` int(11) NOT NULL,
  `accio` int(11) NOT NULL,
  `diaHora` datetime NOT NULL,
  PRIMARY KEY (`programa`,`programable`,`accio`),
  KEY `FK_programacio_programa_idx` (`programa`),
  KEY `FK_programacio_programable_idx` (`programable`),
  KEY `FK_programacio_accio_idx` (`accio`),
  CONSTRAINT `FK_programacio_accio` FOREIGN KEY (`accio`) REFERENCES `accions` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_programacio_programa` FOREIGN KEY (`programa`) REFERENCES `programa` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_programacio_programable` FOREIGN KEY (`programable`) REFERENCES `programable` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `programacio`
--

LOCK TABLES `programacio` WRITE;
/*!40000 ALTER TABLE `programacio` DISABLE KEYS */;
/*!40000 ALTER TABLE `programacio` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usuaris`
--

DROP TABLE IF EXISTS `usuaris`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `usuaris` (
  `userName` varchar(20) NOT NULL,
  `type` varchar(5) NOT NULL DEFAULT 'basic',
  `password` varchar(20) NOT NULL,
  `description` text,
  PRIMARY KEY (`userName`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usuaris`
--

LOCK TABLES `usuaris` WRITE;
/*!40000 ALTER TABLE `usuaris` DISABLE KEYS */;
INSERT INTO `usuaris` VALUES ('1','admin','1','Usuari proves'),('admin','admin','admin','Administrador principal'),('juanjo','basic','juanjo','Usuari basic');
/*!40000 ALTER TABLE `usuaris` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2013-01-18 21:24:25
